# classes related to ds4k box.
STORAGE_POOL_LIST=LSISSI_StoragePool,LSISSI_StoragePoolCapabilities,LSISSI_HostedStoragePool,LSISSI_ElementCapabilities[LSISSI_StoragePool->LSISSI_StoragePoolCapabilities]
STORAGE_VOLUME_LIST=LSISSI_StorageVolume,LSISSI_StorageSystemDevice[LSISSI_StorageSystem->LSISSI_StorageVolume],LSISSI_AllocatedFromStoragePool[LSISSI_StoragePool->LSISSI_StorageVolume]
STORAGE_EXTENT_LIST=LSISSI_DiskDrive,LSISSI_DiskExtent,LSISSI_StorageSystemDevice[LSISSI_StorageSystem->LSISSI_DiskDrive],LSISSI_StorageSystemDevice[LSISSI_StorageSystem->LSISSI_DiskExtent],LSISSI_MediaPresent[LSISSI_DiskDrive->LSISSI_DiskExtent],LSISSI_ConcreteComponent[LSISSI_StoragePool->LSISSI_DiskExtent]

# classes related to ds6k box.
DS6K_STORAGE_POOL_LIST=IBMTSESS_VolumeSpace,IBMTSESS_HostedStoragePool[IBMTSESS_StorageSystem->IBMTSESS_VolumeSpace],IBMTSESS_ElementCapabilities[IBMTSESS_StorageCapabilities->IBMTSESS_VolumeSpace]
DS6K_STORAGE_VOLUME_LIST=IBMTSESS_Volume,IBMTSESS_AllocatedFromStoragePool[IBMTSESS_VolumeSpace->IBMTSESS_Volume]
DS6K_STORAGE_DISK_LIST=IBMTSESS_DiskDrive,IBMTSESS_SystemDevice[IBMTSESS_StorageSystem->IBMTSESS_DiskDrive]
DS6K_STORAGE_EXTENT_LIST=IBMTSESS_StorageExtent,IBMTSESS_Component[IBMTSESS_VolumeSpace->IBMTSESS_StorageExtent],IBMTSESS_MediaPresentExtent[IBMTSESS_DiskDrive->IBMTSESS_StorageExtent]


# classes related to ds8k box.
DS8K_STORAGE_POOL_LIST=IBMTSESS_VolumeSpace,IBMTSESS_HostedStoragePool[IBMTSESS_StorageSystem->IBMTSESS_VolumeSpace],IBMTSESS_ElementCapabilities[IBMTSESS_StorageCapabilities->IBMTSESS_VolumeSpace]
DS8K_STORAGE_VOLUME_LIST=IBMTSESS_Volume,IBMTSESS_AllocatedFromStoragePool[IBMTSESS_VolumeSpace->IBMTSESS_Volume],IBMTSESS_ElementSettingData[IBMTSESS_Volume->IBMTSESS_StorageSetting]
DS8K_STORAGE_EXTENT_LIST=IBMTSESS_StorageExtent,IBMTSESS_V8Pack,IBMTSESS_PhysicalPackage,IBMTSESS_Component[IBMTSESS_VolumeSpace->IBMTSESS_StorageExtent],IBMTSESS_BasedOn[IBMTSESS_StorageExtent->IBMTSESS_Volume]
DS8K_STORAGE_DISK_LIST=IBMTSESS_DiskDrive,IBMTSESS_SystemDevice[IBMTSESS_StorageSystem->IBMTSESS_DiskDrive],IBMTSESS_PackagedComponent[IBMTSESS_PhysicalPackage->IBMTSESS_V8Pack],IBMTSESS_ComputerSystemPhysicalPackage[IBMTSESS_PhysicalPackage->IBMTSESS_StorageSystem],IBMTSESS_MediaPresentExtent[IBMTSESS_DiskDrive->IBMTSESS_StorageExtent]
DS8K_STORAGE_ASSOCIATION_LIST=IBMTSESS_Realizes[IBMTSESS_PhysicalPackage->IBMTSESS_DiskDrive]


DS6K_NEW_ARRAY_SITE_LIST=IBMTSDS_ArraySitePool,IBMTSDS_ArraySitePoolCapabilities,IBMTSDS_HostedArraySitePool[IBMTSDS_StorageSystem->IBMTSDS_ArraySitePool],IBMTSDS_ArraySitePoolToCapabilities[IBMTSDS_ArraySitePoolCapabilities->IBMTSDS_ArraySitePool],IBMTSDS_AllocatedFromPrimordialStoragePool[IBMTSDS_PrimordialStoragePool->IBMTSDS_ArraySitePool],IBMTSDS_ArraySiteExtent,IBMTSDS_ArraySiteComponent[IBMTSDS_ArraySitePool->IBMTSDS_ArraySiteExtent],IBMTSDS_StorageSystemToArraySiteExtent[IBMTSDS_StorageSystem->IBMTSDS_ArraySiteExtent]
ARRAYSITEPOOL_ARRAYPOOL_ASSOCIATION =IBMTSDS_AllocatedFromArraySitePool[IBMTSDS_ArraySitePool->IBMTSDS_ArrayPool]
ARRAYSITEEXTENT_ARRAYEXTENT_ASSOCIATION=IBMTSDS_ArrayBasedOnArraySiteExtent[IBMTSDS_ArraySiteExtent->IBMTSDS_ArrayExtent]
ARRAYSITE_DISKEXTENT_ASSOCIATION=IBMTSDS_ArraySiteBasedOnDiskExtent[IBMTSDS_DiskExtent->IBMTSDS_ArraySiteExtent]
DS6K_NEW_FCPORT_LIST=IBMTSDS_SCSIProtocolEndpoint,IBMTSDS_FCPort,IBMTSDS_StorageSystemToFCPort[IBMTSDS_StorageSystem->IBMTSDS_FCPort],IBMTSDS_FCPortSAPImplementation[IBMTSDS_FCPort->IBMTSDS_SCSIProtocolEndpoint],IBMTSDS_StgSysHostsSCSIProtocolEndpoint[IBMTSDS_StorageSystem->IBMTSDS_SCSIProtocolEndpoint]
DS6K_NEW_EXTENT_LIST=IBMTSDS_DiskDrive,IBMTSDS_DiskExtent,IBMTSDS_DiskDrivePackage,IBMTSDS_PrimordialComponent[IBMTSDS_PrimordialStoragePool->IBMTSDS_DiskExtent],IBMTSDS_DiskDrivePresent[IBMTSDS_DiskDrive->IBMTSDS_DiskExtent],IBMTSDS_DiskDriveRealizes[IBMTSDS_DiskDrivePackage->IBMTSDS_DiskDrive],IBMTSDS_StorageSystemToDiskDrive[IBMTSDS_StorageSystem->IBMTSDS_DiskDrive],IBMTSDS_StorageSystemToDiskExtent[IBMTSDS_StorageSystem->IBMTSDS_DiskExtent],IBMTSDS_DiskDriveSoftwareIdentity
DS6K_STORAGE_HARDWARE_LIST=IBMTSDS_StorageHardwareID,IBMTSDS_Privilege,IBMTSDS_ConcreteDependencyStorageHardwareID[IBMTSDS_StorageHardwareIDManagementService->IBMTSDS_StorageHardwareID],IBMTSDS_ConcreteDependencyPrivilege[IBMTSDS_PrivilegeManagementService->IBMTSDS_Privilege],IBMTSDS_AuthorizedSubject[IBMTSDS_Privilege->IBMTSDS_StorageHardwareID],IBMTSDS_SCSIProtocolController,IBMTSDS_ConcreteDependencyController[IBMTSDS_ControllerConfigurationService->IBMTSDS_SCSIProtocolController],IBMTSDS_AuthorizedTarget[IBMTSDS_Privilege->IBMTSDS_SCSIProtocolController]